\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{BB15}[2023/06/15]
\typeout{\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space for the full paper of BB15 using pdfLaTeX}
\typeout{\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space Version 1.0 <15 June 2023>}
\typeout{\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space (C) Institut fuer Baustatik}
\typeout{\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space Technische Universitaet Hamburg}
\typeout{\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space Bastian Oesterle}
\typeout{}



%% Custom package options
\DeclareOption{ngerman}{
  \typeout{\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space\space Option: Deutsch}
  \PassOptionsToPackage{\CurrentOption}{babel}
  \PassOptionsToClass{\CurrentOption}{scrartcl}
  \AtEndOfClass{\RequirePackage{icomma}}
}
\DeclareOption{english}{
  \typeout{\space\space\space\space\space\space\space\space Option: Englisch}
  \PassOptionsToPackage{\CurrentOption}{babel}
  \PassOptionsToClass{\CurrentOption}{scrartcl}
}

%% Fallback
\DeclareOption*{
  \ClassWarning{BB14}{Unknown option '\CurrentOption'}
}


%% Process given options
\ProcessOptions\relax
  \typeout{}


\LoadClass[10pt,fleqn,a4paper,headsepline,parskip=half,final]{scrartcl}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\RequirePackage[T1]{fontenc}
\RequirePackage{lmodern}

\RequirePackage[utf8]{inputenc}
\RequirePackage{babel}


\RequirePackage{graphicx}
\RequirePackage[format=hang,margin=10pt,font=small,labelfont=bf]{caption}

\RequirePackage{amsfonts}
\RequirePackage{amssymb}
\RequirePackage[intlimits,fleqn]{amsmath}
\RequirePackage{mathtools}
\RequirePackage{times}
\RequirePackage{booktabs}


\RequirePackage{geometry}
\geometry{a4paper,tmargin=50mm,bmargin=50mm,lmargin=40mm,rmargin=40mm}
\pagestyle{empty}


\setkomafont{section}{\rmfamily\Large}
\setkomafont{subsection}{\rmfamily\large}
\setkomafont{subsubsection}{\rmfamily\large}
\setkomafont{paragraph}{\rmfamily\large}

\newcommand{\affiliation}[1]{\newcommand{\affi}{#1}}


\makeatletter
\def\@maketitle{%
  \newpage
  \begin{flushright}\emph{Baustatik -- Baupraxis 15, © 2024, Technische Universität Hamburg}\\
  \end{flushright}
  \vskip 3em%
    {\LARGE\rmfamily\bfseries\raggedright \@title \par}%
    \vskip 1.5em%
    {\rmfamily\bfseries\raggedright
      \lineskip .5em%
      \begin{tabular}[t]{@{}c@{}}%
        \@author
      \end{tabular}\par}%
    \vskip 1em%
        {\rmfamily\itshape \affi \par}%
  \par
  \vskip 5.5em%
  \thispagestyle{empty}}
\makeatother


\endinput


